## golang-github-grpc-ecosystem-grpc-opentracing 0.0~git20180507.8e809c8

=== python/requirements.txt ===
# add dependencies in setup.py

-e .

=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-opentracing (0.0~git20180507.8e809c8-2) unstable; urgency=medium

  * Source-only upload
  * Add myself as an uploader

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 24 Mar 2020 19:52:02 +0530

golang-github-grpc-ecosystem-grpc-opentracing (0.0~git20180507.8e809c8-1) unstable; urgency=medium

  * Initial release (Closes: #953324)

 -- Tong Sun <suntong001@users.sourceforge.net>  Sat, 07 Mar 2020 14:06:42 -0500

=== debian/control ===
Source: golang-github-grpc-ecosystem-grpc-opentracing
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tong Sun <suntong001@users.sourceforge.net>,
           Utkarsh Gupta <utkarsh@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-opentracing
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-opentracing.git
Homepage: https://github.com/grpc-ecosystem/grpc-opentracing
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-opentracing

Package: golang-github-grpc-ecosystem-grpc-opentracing-dev
Architecture: all
Depends: golang-github-opentracing-opentracing-go-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev,
         golang-goprotobuf-dev,
         ${misc:Depends}
Description: expressive vendor-neutral APIs for distributed tracing and context propagation
 This package enables distributed tracing in GRPC clients and servers via
 `The OpenTracing Project`_: a set of consistent, expressive, vendor-neutral
 APIs for distributed tracing and context propagation.
 .
 OpenTracing implementations exist for major distributed tracing systems and
 can be bound or swapped with a one-line configuration change.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/grpc-ecosystem/grpc-opentracing.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-grpc-ecosystem-grpc-opentracing-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/grpc-ecosystem/grpc-opentracing/tags .*/v?(\d\S*)\.tar\.gz debian
